## org.eclipse.datatools.sqltools.sqlbuilder.input
Class SQLBuilderStorageEditorInput

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.SQLEditorStorageEditorInput
          org.eclipse.datatools.sqltools.sqlbuilder.input.SQLBuilderStorageEditorInput

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, ISQLBuilderEditorInput, ISQLEditorInput, org.eclipse.ui.IEditorInput, org.eclipse.ui.IPersistable, org.eclipse.ui.IPersistableElement, org.eclipse.ui.IStorageEditorInput

    public class SQLBuilderStorageEditorInput

extends SQLEditorStorageEditorInput
implements ISQLBuilderEditorInput

This class implements the `ISQLBuilderEditorInput` interface on a `IStorageEditorInput` base. In addition, this class contains fields and methods that are specifically for launching the SQL Builder. This class is provided as a convenience for callers of the SQL Builder who want to open the SQL Builder on an input that isn't a file.

Field Summary
`static java.lang.String` `CURRENT_VERSION` Current version identifier

Constructor Summary
`SQLBuilderStorageEditorInput(org.eclipse.core.resources.IStorage storage)` Constructs an instance of this class with the given `IStorage` object as the editor input source.
`SQLBuilderStorageEditorInput(java.lang.String name, java.lang.String storageSource)` Constructs an instance of this class with the given string as the editor input source.

Method Summary
`java.lang.String` `getFactoryId()` Returns the id of the element factory which should be used to re-create this object.
`ISQLBuilderEditorInputUsageOptions` `getInputUsageOptions()` Gets the usage options of the editor input.
`IOmitSchemaInfo` `getOmitSchemaInfo()` Gets the `IOmitSchemaInfo` associated with this input.
`java.lang.String` `getSQL()` Gets the `SQLStatement` associated with this input.
`IWindowStateInfo` `getWindowStateInfo()` Gets the window state information which stores the control states of the SQL Query Builder.
`void` `saveState(org.eclipse.ui.IMemento memento)` Saves the state of the object in the given memento.
`void` `setInputUsageOptions(ISQLBuilderEditorInputUsageOptions options)` Sets the usage options of the editor input.
`void` `setOmitSchemaInfo(IOmitSchemaInfo omitSchemaInfo)` Sets the `IOmitSchemaInfo` associated with this input to the given object.
`void` `setWindowStateInfo(IWindowStateInfo windowStateInfo)` Sets the window state information.

Methods inherited from class org.eclipse.datatools.sqltools.sqleditor.SQLEditorStorageEditorInput
`exists, getAdapter, getConnectionInfo, getId, getImageDescriptor, getName, getPersistable, getStorage, getToolTipText, isConnectionRequired, setConnectionInfo, setName, setStorage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.sqltools.sqlbuilder.input.ISQLBuilderEditorInput
`getConnectionInfo, setConnectionInfo`

Methods inherited from interface org.eclipse.datatools.sqltools.sqleditor.ISQLEditorInput
`getId, isConnectionRequired`

Methods inherited from interface org.eclipse.ui.IEditorInput
`exists, getImageDescriptor, getName, getPersistable, getToolTipText`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Field Detail

### CURRENT_VERSION

    public static final java.lang.String CURRENT_VERSION

  Current version identifier

  See Also:
    Constant Field Values

Constructor Detail

### SQLBuilderStorageEditorInput

    public SQLBuilderStorageEditorInput(java.lang.String name,
                                        java.lang.String storageSource)

  Constructs an instance of this class with the given string as the editor input source.

  Parameters:
    `storageSource` - the editor input source string, i.e. the SQL statement

### SQLBuilderStorageEditorInput

    public SQLBuilderStorageEditorInput(org.eclipse.core.resources.IStorage storage)

  Constructs an instance of this class with the given `IStorage` object as the editor input source.

  Parameters:
    `storage` - the storage object for this editor input

Method Detail

### getSQL

    public java.lang.String getSQL()

  Gets the `SQLStatement` associated with this input.

  Specified by:
    `getSQL` in interface `ISQLBuilderEditorInput`
  Returns:
    the current `SQLStatement`

### setOmitSchemaInfo

    public void setOmitSchemaInfo(IOmitSchemaInfo omitSchemaInfo)

  Sets the `IOmitSchemaInfo` associated with this input to the given object.

  Specified by:
    `setOmitSchemaInfo` in interface `ISQLBuilderEditorInput`
  Parameters:
    `omitSchemaInfo` - the `IOmitSchemaInfo` object to set

### getOmitSchemaInfo

    public IOmitSchemaInfo getOmitSchemaInfo()

  Gets the `IOmitSchemaInfo` associated with this input.

  Specified by:
    `getOmitSchemaInfo` in interface `ISQLBuilderEditorInput`
  Returns:
    the current `IOmitSchemaInfo` object

### getFactoryId

    public java.lang.String getFactoryId()

  Returns the id of the element factory which should be used to re-create this object.

  Specified by:
    `getFactoryId` in interface `org.eclipse.ui.IPersistableElement`
  Overrides:
    `getFactoryId` in class `SQLEditorStorageEditorInput`
  See Also:
    `IPersistableElement.getFactoryId()`

### saveState

    public void saveState(org.eclipse.ui.IMemento memento)

  Saves the state of the object in the given memento.

  Specified by:
    `saveState` in interface `org.eclipse.ui.IPersistable`
  Overrides:
    `saveState` in class `SQLEditorStorageEditorInput`
  Parameters:
    `memento` - the storage area for object's state
  See Also:
    `IPersistable.saveState(org.eclipse.ui.IMemento)`

### getWindowStateInfo

    public IWindowStateInfo getWindowStateInfo()

  Description copied from interface: `ISQLBuilderEditorInput`
  Gets the window state information which stores the control states of the SQL Query Builder.

  Specified by:
    `getWindowStateInfo` in interface `ISQLBuilderEditorInput`

### setWindowStateInfo

    public void setWindowStateInfo(IWindowStateInfo windowStateInfo)

  Description copied from interface: `ISQLBuilderEditorInput`
  Sets the window state information.

  Specified by:
    `setWindowStateInfo` in interface `ISQLBuilderEditorInput`

### getInputUsageOptions

    public ISQLBuilderEditorInputUsageOptions getInputUsageOptions()

  Description copied from interface: `ISQLBuilderEditorInput`
  Gets the usage options of the editor input. The options may be configured independent of the existence of specific input info.

  Specified by:
    `getInputUsageOptions` in interface `ISQLBuilderEditorInput`

### setInputUsageOptions

    public void setInputUsageOptions(ISQLBuilderEditorInputUsageOptions options)

  Description copied from interface: `ISQLBuilderEditorInput`
  Sets the usage options of the editor input.

  Specified by:
    `setInputUsageOptions` in interface `ISQLBuilderEditorInput`